package cokr.xit.ens.modules.common.ctgy.intgrnbill.support.code;

import cokr.xit.ens.core.code.CodeMapperType;


/**
 * <ul>
 * <li>업무 그룹명: 청구서API - 요청구분 코드</li>
 * <li>설 명: </li>
 * <li>작성일: 2022. 2. 15. 오후 3:51:43
 * </ul>
 *
 * @author 박민규
 */

public enum BillReqSeCd implements CodeMapperType {

    
    ACPT("요청 접수"),

   
    VD_URL("청구서링크생성"),
    VD_REURL("청구서링크재생성"),
    VD_PAYAPPLY("결제승인요청"),
    VD_PAYCANCEL("결제취소"),

   
    US_URLINF("이용시스템 청구서링크생성 정보"),
    NOTICE("결제정보조회"),//TODO feat.NaverPay 민자고속도로 ENS_BILL_HIST DB에서 NOTICE -> GETNOTICE로 update 이후 코드삭제 요함
    US_NOTICE("이용시스템 결제정보"),
    PREPAY("납부가능확인"),//TODO feat.NaverPay 민자고속도로 ENS_BILL_HIST DB에서 PREPAY -> CHKPREPAY로 update 이후 코드삭제 요함
    US_PREPAY("이용시스템 납부가능확인"),
    PAYRSLT("납부결과전달"),//TODO feat.NaverPay 민자고속도로 ENS_BILL_HIST DB에서 PAYRSLT -> FWDPAYRSLT로 update 이후 코드삭제 요함
    US_PAYRSLT("이용시스템 납부결과전달"),
    US_CANCELRSLT("이용시스템 결제취소결과전달"),
    ;

    private final String code;     
    private final String codeNm;   

    BillReqSeCd(String codeNm) {
        this.code = this.name();
        this.codeNm = codeNm;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    @Override
    public String getCodeNm() {
        return this.codeNm;
    }
}
